[linux-dvb] CVS of dvb-kernel in sync with current RC?

Johannes Stezenbach js at linuxtv.org
Sun Jul 3 02:11:18 CEST 2005


Patrick Boettcher wrote:
> On Sat, 2 Jul 2005, Johannes Stezenbach wrote:
> >For development CVS should work with latest -rc.
> >
> >I considered adding some temporary #if KERNEL_VERSION,
> >they are not difficult to remove when creating patches
> >for lkml. But they make it much harder to feed back
> >changes from the kernel into CVS, so I'd like to avoid it.
> 
> Hmm, I cannot update my kernel every two weeks. But I understand your 
> maintaining-problems.
> 
> Up to now all patches from -rc's have been compatible with the current 
> stable kernel version, but this time it doesn't even compile anymore...
> 
> I won't be able to test my latest changes, without undoing the recent 
> rc-compatibility changes.
> 
> I don't know if it will be a problem for the other developers, but for me 
> it is one.
> 
> Can you suggest me something handy for getting along with it, without 
> going to 2.6.VV-rcX ? (VV > my current kernel-version)?

I understand your problem but I think in this case the easiest
way to solve it is to update to 2.6.13-rc1. I don't think
you have to update to every -rc as usually it won't contain
incompatible changes.
OTOH if I'm the only one who uses -rc kernels we should
back out these changes for now. I don't want you all to
suffer just to make my life easier.

Johanens




More information about the linux-dvb mailing list